Support » Plugin: Enable Media Replace » Steps to Downgrade to 3.3.0

  • Resolved charles218

    (@charles218)


    I’m a novice user and without going into too much detail I would like to downgrade from 3.3.1 to 3.3.0. I have downloaded 3.3.0, but need to get exact steps on making the downgrade. After a couple of years of successfully using EMR, it stopped working properly with the 3.3.1 upgrade. If downgrading does not cure the issue, I will come back with a more detailed description of what is going on.

    Thanks!
    Charles

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Author ShortPixel

    (@shortpixel)

    Hello @charles218 – thanks for using Enable Media Replace plugin.
    Please note that we just released a new plugin version, could you please test it and see if it works for you as expected?

    Thank you,
    Alex

    Punker1

    (@punker1)

    We have version 3.3.1. worked, and version 3.3.2. not working now.

    NicheLabs

    (@allennichelabs)

    I’m getting an error as well. As soon as updating the plugin to 3.3.2 I got Fatal error: Using $this when not in object context in /wp-content/plugins/enable-media-replace/build/shortpixel/PackageLoader.php on line 64

    I had to rename the plugin directory in order to get back into wp-admin.

    • This reply was modified 4 months ago by NicheLabs.
    charles218

    (@charles218)

    I was able to downgrade, just wanted to make sure that I was getting it right. However, it did not solve the problem of EMR not working. Has been fine for a couple of years, now it says file replaced but the same file is still there. Failures with 3.3.0, 3.3.1, and 3.3.2.

    pwardell

    (@pwardell)

    How did you downgrade the version? 3.3.2 seems to be completely broken.

    charles218

    (@charles218)

    Check on this page, close to the bottom, there is a dropdown that has previous versions.

    pwardell

    (@pwardell)

    @charles218 Thank you!

    michaelbroughton

    (@michaelbroughton)

    Just upgraded to 3.3.2 and cannot be used. I was able to successfully install and activate the upgrade, but it does not allow me to replace any media. Rolling back to 3.3.1.

    pwardell

    (@pwardell)

    @shortpixel Tried downgrading to 3.3.1 but it resulted in “The site is experiencing technical difficulties. Please check your site admin email inbox for instructions.”

    Any ETA on when a fix might be forthcoming? Got a couple hundred images to replace so need to know if I should plan on doing it the long way.

    Plugin Author ShortPixel

    (@shortpixel)

    Hello everyone!

    Please click on the “Clone or download” green button on this page to download & test the latest dev version of EMR.

    If the problems noted by you with version 3.3.2 are still there then please contact us directly here mentioning this conversation here.
    Also please make sure you let us know the error(s) in more detail and also other important debugging info like PHP version.

    Thank you,
    Alex

    Tried downgrading using the instructions above. The “upload a new file” button is still missing. With so many people reporting this issue, the response of “we can’t reproduce the error” isn’t satisfactory.

    Plugin Author ShortPixel

    (@shortpixel)

    Hello @heidimark – could you please try this new DEV EMR version and let me know if the issue noted by you was solved?

    Thanks, I look forward to hearing from you,
    Alex

Viewing 12 replies - 1 through 12 (of 12 total)
  • You must be logged in to reply to this topic.